Prosíme přihlašte se nebo zaregistrujte.

Přihlašte se svým uživatelským jménem a heslem.
World of Warcraft

Novinky: Děkujeme všem návštěvníkům fóra, kteří ochotně radí ostatním. Vaše práce je velmi potřebná a vážíme si jí.

Autor Téma: Nespouštění progamů_NetBeans_Squeak  (Přečteno 295 krát)

Libor Safranek

  • Návštěvník
  • *
  • Příspěvků: 2
  • Karma: +0/-0
    • Zobrazit profil
Nespouštění progamů_NetBeans_Squeak
« kdy: 19 Září 2018, 20:31:44 »
Dobrý den.
Jako laik a dlouholetý spokokjený uživatel UBUNTU se na vás obracím s dotazem jak řešit následující:
po instalaci mi nejde spustit
NetBeans - ukáže se spouštěcí tabulka a po krátkém načítání se následně se program nespustí,
Squeak      - ten samý problém jako u NetBeans.

Děkuji za případnou odpověď.
Zdraví Libor.

juwa2

  • Závislák
  • ****
  • Příspěvků: 2027
  • Karma: +143/-34
    • Zobrazit profil
Re:Nespouštění progamů_NetBeans_Squeak
« Odpověď #1 kdy: 19 Září 2018, 22:35:21 »
Moje odpověď bude pouze obecná, ale o to platnější:
Při jakýchkoli potížích se spuštěním čehokoli (jakéhokoli programu/aplikace) platí pravidlo - spustit příkazem v Terminálu.
Tím pádem se ihned vypíše případná chyba, kterou sem lze postnout a pužít k řešení problému....
-----------------------------------------------------------------------------------------------
Takže prosím, spusť Terminál a zadej příkaz pro spuštění aplikace "Net Beans" .  Chybovou hlášku zkopíruj a postni sem...
« Poslední změna: 19 Září 2018, 22:48:47 od juwa2 »

Libor Safranek

  • Návštěvník
  • *
  • Příspěvků: 2
  • Karma: +0/-0
    • Zobrazit profil
Re:Nespouštění progamů_NetBeans_Squeak
« Odpověď #2 kdy: 21 Září 2018, 08:00:39 »
Ahoj Tobě.
Díky Ti za odpověď!
Níže uvádím....
WARNING: An illegal reflective access operation has occurred
WARNING: Illegal reflective access by org.netbeans.ProxyURLStreamHandlerFactory (file:/usr/share/netbeans/platform18/lib/boot.jar) to field java.net.URL.handler
WARNING: Please consider reporting this to the maintainers of org.netbeans.ProxyURLStreamHandlerFactory
WARNING: Use --illegal-access=warn to enable warnings of further illegal reflective access operations
WARNING: All illegal access operations will be denied in a future release

Děkuji za pomoc.
L.

juwa2

  • Závislák
  • ****
  • Příspěvků: 2027
  • Karma: +143/-34
    • Zobrazit profil
Re:Nespouštění progamů_NetBeans_Squeak
« Odpověď #3 kdy: 21 Září 2018, 17:26:59 »
Ahoj Tobě.
Díky Ti za odpověď!
Níže uvádím....
WARNING: An illegal reflective access operation has occurred
WARNING: Illegal reflective access by org.netbeans.ProxyURLStreamHandlerFactory (file:/usr/share/netbeans/platform18/lib/boot.jar) to field java.net.URL.handler
WARNING: Please consider reporting this to the maintainers of org.netbeans.ProxyURLStreamHandlerFactory
WARNING: Use --illegal-access=warn to enable warnings of further illegal reflective access operations
WARNING: All illegal access operations will be denied in a future release

Děkuji za pomoc.
L.

To vypadá na nějaký bug v té aplikaci. Po zadání chybové hlášky do googlu bylo zjištěno, že je to způsobeno tím, že máš v PC javu 9.  Takže řešením je odstranit javu 9 a dát tam javu 8  (jre 8u181).
Verzi javy kterou máš zjistíš příkazem
Kód: [Vybrat]
java -version

JirkaZ

  • Návštěvník
  • *
  • Příspěvků: 32
  • Karma: +1/-0
    • Zobrazit profil
Re:Nespouštění progamů_NetBeans_Squeak
« Odpověď #4 kdy: 21 Září 2018, 22:19:30 »
No a já dodám, že v *buntu lze mít zároveň víc verzí i původů Javy, přičemž se pak mezi nimi dá přepínat příkazem
Kód: [Vybrat]
sudo update-alternatives --config java
Jako už tradičně není třeba si to pamatovat a psát ručně do konzole, ale stačí si někam (třeba na plochu) umístit spouštěč s tímto obsahem.

Hodí se to pak při problémech s různými Java aplikacemi...

juwa2

  • Závislák
  • ****
  • Příspěvků: 2027
  • Karma: +143/-34
    • Zobrazit profil
Re:Nespouštění progamů_NetBeans_Squeak
« Odpověď #5 kdy: 22 Září 2018, 01:22:38 »
No a já dodám, že v *buntu lze mít zároveň víc verzí i původů Javy, přičemž se pak mezi nimi dá přepínat příkazem
Kód: [Vybrat]
sudo update-alternatives --config java
Jako už tradičně není třeba si to pamatovat a psát ručně do konzole, ale stačí si někam (třeba na plochu) umístit spouštěč s tímto obsahem.

Hodí se to pak při problémech s různými Java aplikacemi...

Ano, verzí lze mít víc současně (i když je to celkem zbytečné a navíc to zabírá místo). Dále není třeba mít JDK, pro běh aplikací stačí JRE. Ale v tom případě je nutno každé aplikaci (při spuštění) "říct" kterou verzi má použít nebo pořád dokola přepínat výchozí. Lepší je dát tam JRE8 a je pokoj....